List namespaces
curl --request GET \
--url https://api.vidnavigator.com/v1/namespaces \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.vidnavigator.com/v1/namespaces"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vidnavigator.com/v1/namespaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"id": "<string>",
"_id": "<string>",
"user_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"status": "error",
"error": "metadata_fetch_failed",
"message": "<string>"
}Local Files
List Namespaces
Get all namespaces for the authenticated user. A ‘default’ namespace is auto-created if none exist. Files without a namespace are lazily migrated to the default.
GET
/
namespaces
List namespaces
Retrieve all namespaces for your account. Namespaces let you organize uploaded files into logical groups (like folders).
Overview
Namespaces help you organize your uploaded files into categories such as “Client Calls”, “Product Demos”, or “Training Videos”. Adefault namespace is automatically created if you don’t have any yet, and files without a namespace are lazily migrated to it.
Example Request
curl "https://api.vidnavigator.com/v1/namespaces" \
-H "X-API-Key: YOUR_API_KEY"
import requests
url = "https://api.vidnavigator.com/v1/namespaces"
headers = {"X-API-Key": "YOUR_API_KEY"}
response = requests.get(url, headers=headers)
namespaces = response.json()
const response = await fetch('https://api.vidnavigator.com/v1/namespaces', {
headers: { 'X-API-Key': 'YOUR_API_KEY' }
});
const namespaces = await response.json();
Success Response
{
"status": "success",
"data": [
{
"id": "64a1b2c3d4e5f6789abc0001",
"name": "default",
"created_at": "2025-01-10T08:00:00Z",
"updated_at": "2025-01-10T08:00:00Z"
},
{
"id": "64a1b2c3d4e5f6789abc0002",
"name": "Client Calls",
"created_at": "2025-02-15T14:30:00Z",
"updated_at": "2025-02-15T14:30:00Z"
}
]
}

